[ Maverik Level 2 typedefs ]

#

MAV_window

## Summary

Window

## Syntax

    typedef struct {
      int id;
      char *name;
      int x;
      int y;
      int width;
      int height;
      MAV_viewParams *vp;
      MAV_viewModifierFn mod;
      MAV_viewModifierParams *vmp;
      MAV_vector eye;
      MAV_vector view;
      MAV_vector up;
      MAV_vector right;
      int orthogonal;
      float ncp;
      float fcp;
      float fov;
      float aspect;
      float offset;
      float angle;
      float ortho_size;
      MAV_matrix viewMat;
      MAV_matrix projMat;
      MAV_matrix pdvMat;
      float background_red;
      float background_green;
      float background_blue;
      MAV_palette *palette;
      MAV_vector ncpv[5];
      MAV_vector fcpv[5];
      void *userdef;
    } MAV_window;

## Description

Back to the index page.